.cie {
  padding: 0;
  overflow: hidden;
  min-width: 100vw;
  margin-left: calc(50% - 50vw);
}

.cie__header {
  display: flex;
  flex-direction: column;
  max-width: 836px;
  margin: 0 auto 40px;
  align-items: center;
  justify-content: center;
  gap: 16px;
}

.cie__header-title {
  margin-bottom: 0;
}

.cie__header-subtitle *:last-child {
  margin-bottom: 0;
}

.cie__container {
  margin: 0 auto;
  padding: 0;
  position: relative;
  opacity: 0;
  transition: opacity 0.8s ease;
}

.loaded .cie__container {
  opacity: 1;
}

.cie__container.container {
  max-width: 1324px;
}

.cie__container.container-fluid {
  max-width: 100%;
}

.cie__track {
  display: flex;
  gap: var(--card-gap);
  overflow-x: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none;
  justify-content: flex-start;
}

.cie__track::-webkit-scrollbar {
  display: none;
}

/* Add padding to allow centering with cards on both sides */

.cie__track::before,
.cie__track::after {
  content: '';
  flex-shrink: 0;
  width: calc(50vw - (var(--expanded-width) / 2));
  min-width: calc(50% - (var(--expanded-width) / 2));
}


/* Testimonial Card - NO TRANSITIONS */
.cie__card {
  flex-shrink: 0;
  width: var(--collapsed-width);
  height: var(--card-height);
  cursor: pointer;
  position: relative;
  opacity: 0;
  padding: 12px;
  border-radius: 24px;
  background-color: var(--card-background-color);
  pointer-events: none;
  transition: width 0.6s ease;
}
.cie__card.visible {
  opacity: 0.24;
  pointer-events: auto;
}
.cie__card.adjacent.visible {
  opacity: 0.48;
  pointer-events: auto;
}
.cie__card.active {
  width: var(--expanded-width);
  cursor: default;
  opacity: 1;
  pointer-events: auto;
  background-color: var(--card-opened-background-color);
}
.cie__card.instant-visibility {
  transition: width 0s ease;
}

.cie__card-inner {
  display: flex;
  height: 100%;
  overflow: hidden;
}

/* Image side */
.cie__card-image {
  position: relative;
  flex-shrink: 0;
  width: calc(var(--collapsed-width) - 12px * 2);
  height: 100%;
  overflow: hidden;
  border-radius: 16px;
}

.cie__card-image:after {
	content: "";
	background-color: #000000;
	height: 100%;
	left: 0;
	opacity: 0.3;
	position: absolute;
	top: 0;
	transition: opacity .3s ease;
	width: 100%;
}
.cie__card.active .cie__card-image:after {
	opacity: 0;
}

.cie__card-image .cie__card-image-desktop {
  width: 100%;
  height: 100% !important;
  object-fit: cover;
  object-position: center;
  border-radius: 12px;
}

.cie__card-image-logo {
	position: absolute;
	top: 50%;
	left: 50%;
	max-height: 100%;
	max-width: 100%;
	transform: translate(-50%, -50%);
	z-index: 2;
}

.cie__card-image-mobile {
  display: none;
}

.cie__card-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.cie__card-testimonial-svg {
	display: block;
	margin-left: auto;
  margin-bottom: 10px;
}

.cie__card-testimonial-quote {
	color: #707070;
	font-family: Open Sans, sans-serif;
	font-size: 20px;
	line-height: 1.1;
	margin-bottom: 8px;
}
.cie__card-testimonial-quote *:last-child {
	margin-bottom: 0;
}

.cie__card-testimonial-author-container {
	display: flex;
	gap: 12px;
}

.cie__card-testimonial-author-avatar {
	border-radius: 12px;
	height: 48px!important;
	object-fit: cover;
	width: 48px;
}

.cie__card-testimonial-author-inner-name {
	color: #6c6c68;
	font-size: 16px;
	margin-bottom: 0;
}
.cie__card-testimonial-author-inner-job {
	color: #6c6c68;
	font-weight: 700;
	margin-bottom: 0;
	font-size: 16px;
}

.cie__card-testimonial-number-container {
	display: flex;
	gap: 5px;
	margin-top: auto;
	margin-bottom: 0;
}

.cie__card-testimonial-number-prefix,
.cie__card-testimonial-number-suffix {
	color: #6c6c68;
	font-size: 20px;
	font-weight: 700;
	height: fit-content;
	margin-top: auto;
	margin-bottom: 8px;
}

.cie__card-testimonial-number {
	color: #6c6c68;
	font-family: Raleway, sans-serif;
	font-size: 72px;
	font-weight: 200;
	letter-spacing: -2px;
	line-height: 110%;
	margin-right: 5px;
}

.cie__card-testimonial-subtext,
.cie__card-testimonial-subtext *{
	color: #707070;
	font-size: 14px;
	text-shadow: 0 0 48px hsla(0, 0%, 100%, .64);
}
.cie__card-testimonial-subtext *:last-child {
	margin-bottom: 0;
}


{# BUTTON #}

/* CTA Button */
.testimonials-v2-cta {
  align-self: flex-start;
  bottom: 0;
  padding: 0;
  position: absolute;
  right: 0;
  transition: all .3s ease !important;
}

.testimonials-v2-cta-wrapper {
  position: absolute;
  bottom: 0;
  right: 0;
}

.testimonials-v2-cta-wrapper::after,
.testimonials-v2-cta-wrapper::before {
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  display: inline-block;
  position: absolute;
  z-index: 1;
  bottom: 9px;
}

.testimonials-v2-cta-wrapper::before {
  background-image: url(https://www.iadvize.com/hubfs/iadvize25/sprites/cta-corner-bottom-left@2x.png);
  width: 18px;
  height: 18px;
  bottom: 0;
  left: -8px;
}

.testimonials-v2-cta-wrapper::after {
  background-image: url(https://www.iadvize.com/hubfs/iadvize25/sprites/cta-corner-top-right@2x.png);
  height: 18px;
  right: 0;
  top: -8px;
  width: 18px;
}

.testimonials-v2-cta-button {
  align-items: center;
  background: #3be1a4;
  /* border: 12px solid #fff; */
  border-radius: 50px;
  display: flex;
  justify-content: center;
  overflow: hidden;
  padding: 11px;
  position: relative;
  text-decoration: none;
  transition: all .3s
  ease !important;
  white-space: nowrap;
  z-index: 2;
  width: 36px;
  height: 36px;
  outline: solid 8px #fff;
}

.testimonials-v2-cta:hover .testimonials-v2-cta-wrapper {
  right: 10px!important;
}

.testimonials-v2-cta:hover .testimonials-v2-cta-button {
  color: #0a0a09;
  text-align: center;
  padding: 12px 0;
  width: 196px!important;
}

.testimonials-v2-cta-button .button-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 1;
  transition: all 0.3s ease;
}

.testimonials-v2-cta-button .button-icon svg {
  transform: rotate(-45deg);
  transform-origin: center;
  display: inline-block;
}

.testimonials-v2-cta-button .button-text {
  position: relative;
  opacity: 0;
  font-size: 16px;
  font-weight: 600;
  color: #0A0A09;
  transition: all 0.3s ease !important;
  pointer-events: none;
  max-width: 0;
}

.testimonials-v2-cta:hover .testimonials-v2-cta-button {
  background: #3BE1A4;
  color: #0A0A09;
  padding: 12px 28px;
  width: fit-content!important;
  outline: 8px solid #fff;
}

.testimonials-v2-cta:hover.testimonials-v2-cta::before {
  left: -4px;
}

.testimonials-v2-cta:hover.testimonials-v2-cta::after {
  right: 4px;
}

.testimonials-v2-cta:hover .button-icon {
  opacity: 0;
  display: none;
}

.testimonials-v2-cta:hover .button-text {
  opacity: 1;
  pointer-events: auto;
  max-width: 100%;
}

/* Content side - NO TRANSITIONS */
.cie__card-content {
  flex: 1;
  min-width: 0;
  opacity: 0;
  overflow: hidden;
}

.cie__card.active .cie__card-content {
  opacity: 1;
}

.cie__card-content-inner {
  padding: 20px;
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  min-width: calc(var(--expanded-width) - var(--collapsed-width)) ;
  width: 100%;
}

.cie__card-content-title {
  color: #29A37A;
  font-family: "Open Sans";
  font-size: 20px;
  font-weight: 400;
  line-height: 1.4;
  letter-spacing: -0.4px;
  margin-bottom: 24px;
}

.cie__card-content-text,
.cie__card-content-text *{
  color: #6C6C68;
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  line-height: 1.6;
}

.cie__card-content-text p {
  margin-bottom: 10px;
}

.cie__bullets,
.cie__arrows {
  display: none;
}

@media (max-width: 1024px) {
  .cie {
    margin-left: 0;
    padding: 0;
    min-width: unset;
    position: relative;
  }
  .cie__track-container {
    position: relative;
  }
  .cie__track {
    gap: unset;
  }
  .cie__track::before,
  .cie__track::after {
    display: none;
  }
  .cie__card {
    height: auto;
    opacity: 1;
  }
  .cie__card-inner {
    flex-direction: column;
  }
  .cie__card-image {
    width: 100%;
    height: auto;
    aspect-ratio: 338 / 148;
  }
  .cie__card-image:has(.cie__card-image-mobile) .cie__card-image-desktop {
    display: none;
  }
	.cie__card-image-logo {
		max-width: 22rem;
	}
  .cie__card-image-desktop ~ .cie__card-image-mobile {
    display: inline;
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
  }
	.cie__card--testimonial {
		pointer-events: auto;
	}
	.cie__card--testimonial .cie__card-inner {
		overflow: visible;
	}
	.cie__card--testimonial .cie__card-image {
		z-index: 1;
		max-height: 150px;
	}
	.cie__card--testimonial .testimonials-v2-cta:hover .testimonials-v2-cta-button {
		border-top-right-radius: 0;
	}
  .cie__card-content {
    opacity: 1;
  }
  .cie__card-content-inner {
    min-width: unset;
    height: auto;
  }
	.cie__card-content.cie__card-content--testimonial {
		z-index: 2;
		overflow: visible;
	}
	.cie__card-content--testimonial .cie__card-content-inner {
		gap: 20px;
		height: 100%;
		position: relative;
		z-index: 3;
		overflow: visible;
	}
	.cie__card-content--testimonial .cie__card-testimonial-number-container {
    flex-direction: column;
		margin-bottom: 12px;
	}
	.cie__card-content--testimonial  .cie__card-testimonial-svg {
		position: absolute;
		right: 12px;
		top: -16px;
		display: block;
		z-index: 3;
	}
	.cie__card-content--testimonial  .testimonials-v2-cta {
		bottom: -12px;
		right: -16px;
	}
  .cie__bullets {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    margin-top: 32px;
  }
  .cie__bullets .cie__bullet {
    width: 20px;
    height: 4px;
    border-radius: 20px;
    background-color: var(--card-opened-background-color);
    transition: background-color 0.5s ease, width 0.5s ease;
    cursor: pointer;
  }
  .cie__bullets .cie__bullet.glide__bullet--active {
    width: 60px;
    background-color: #3BE1A4;
  }
  .cie__arrows {
    margin-top: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
  }
  .cie__arrows .cie__arrow {
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 2px solid #D1D1CB;
    transition: border 0.5s ease;
    cursor: pointer;
  }
  .cie__arrows .cie__arrow:hover,
  .cie__arrows .cie__arrow:active {
    border: 2px solid #3BE1A4;
  }
}

@media (max-width: 450px) {
	.cie__card-content--testimonial .testimonials-v2-cta {
		right: -12px;
	}
	.testimonials-v2-cta:hover .testimonials-v2-cta-wrapper {
		right: 8px !important;
	}
}